Create webhook
curl --request POST \
--url https://api.shoppex.io/dev/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://app.example.com/webhooks/shoppex",
"events": [
"order:paid",
"order:created"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://app.example.com/webhooks/shoppex',
events: ['order:paid', 'order:created']
})
};
fetch('https://api.shoppex.io/dev/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/webhooks"
payload = {
"url": "https://app.example.com/webhooks/shoppex",
"events": ["order:paid", "order:created"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://app.example.com/webhooks/shoppex',
'events' => [
'order:paid',
'order:created'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/webhooks"
payload := strings.NewReader("{\n \"url\": \"https://app.example.com/webhooks/shoppex\",\n \"events\": [\n \"order:paid\",\n \"order:created\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "11111111-1111-4111-8111-111111111111"
}
}Webhook Endpoints
Create webhook
Developer API operation for POST /dev/v1/webhooks.
POST
/
dev
/
v1
/
webhooks
Create webhook
curl --request POST \
--url https://api.shoppex.io/dev/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://app.example.com/webhooks/shoppex",
"events": [
"order:paid",
"order:created"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://app.example.com/webhooks/shoppex',
events: ['order:paid', 'order:created']
})
};
fetch('https://api.shoppex.io/dev/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/webhooks"
payload = {
"url": "https://app.example.com/webhooks/shoppex",
"events": ["order:paid", "order:created"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://app.example.com/webhooks/shoppex',
'events' => [
'order:paid',
'order:created'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/webhooks"
payload := strings.NewReader("{\n \"url\": \"https://app.example.com/webhooks/shoppex\",\n \"events\": [\n \"order:paid\",\n \"order:created\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "11111111-1111-4111-8111-111111111111"
}
}Authorizations
Use your Shoppex API key in the Authorization header.
Body
application/json
Minimum string length:
1Required array length:
1 - 12 elementsAvailable options:
order:created, order:updated, order:partial, order:paid, order:cancelled, order:disputed, order:created:product, order:updated:product, order:partial:product, order:paid:product, order:cancelled:product, order:disputed:product, order:manual_payment_pending, order:item.delivered, order:item.delivery_failed, order:shipped, dispute:created, dispute:evidence_ready, dispute:submitted, dispute:won, dispute:lost, dispute:accepted, product:created, product:edited, product:stock, product:dynamic, query:created, query:replied, feedback:received, affiliate:payout_requested, reseller:enrolled, reseller:application.created, reseller:application.rejected, reseller:suspended, reseller:order.completed, reseller:tier.advanced, subscription:trial:started, subscription:trial:ended, subscription:created, subscription:updated, subscription:renewed, subscription:cancelled, subscription:upcoming, subscription:partial, subscription:trial:started:product, subscription:trial:ended:product, subscription:created:product, subscription:updated:product, subscription:renewed:product, subscription:cancelled:product, subscription:upcoming:product Response
200 - application/json
Successful response
The response is of type object.